Page MenuHomePhabricator

"oversighter", "oversight", "unoversight", "hide" and "unhide" messages are very unclear
Open, LowestPublic

Description

ArticleFeedback5 extensively uses the words "oversighter", "oversight", "unoversight", "hide" and "unhide". These are very unclear even to English users - "oversighter", "unoversight" and "unhide" don't appear in dictionaries (try typing them with a spelling checker and check Google and m-w.com). "Oversight" developed a very different meaning in the MediaWiki world - it's supposed to be a noun meaning "watchful care" and not a verb meaning "hide offensive posts".

And while for English speakers this is merely weird, it's totally opaque for translators of the extension.

All the messages absolutely must be clearly documented in the qqq space. Without this the extension cannot be translated. And the usage of "oversight", and especially "oversighter" and "unoversight" must be reconsidered. It's not a matter of grammar nitpicking, but of simple usability: "Oversight" is first-generation internal MediaWiki jargon, and "oversighter" and "unoversight" are second-generation internal MediaWiki jargon. Second-generation jargon is not supposed to creep into an extension the goal of which is to improve usability.


Version: unspecified
Severity: major

Details

Reference
bz35026

Event Timeline

bzimport raised the priority of this task from to Lowest.
bzimport set Reference to bz35026.
Amire80 created this task.Mar 7 2012, 7:48 AM

Asking Brandon to weigh in on this.

Jorm added a comment.Mar 7 2012, 7:09 PM

I'm unsure that the extension requires translation at this point - it's currently in experimentation mode, trying to find the optimal set up. So it may be premature to even have this conversation.

But then, aside from that: "oversighter" in this case is a user role/right. Individuals with the Oversight permissions are supposed to hide posts. This is a functional requirement of the feature; I'm not sure how any of these terms could be changed.

Also, this extension's goal is not to improve usability; it is designed to improve the ability of the Foundation to determine overall quality of articles and engage with readers. It is very Foundation specific, so I don't think there's a problem with using "Wikipedia Jargon".

The problem begins even before translation. If i understand correctly, some of the messages are visible to all users, and nobody should be expected to understand these terms in English.

And in the MediaWiki world we believe that the right time for translation is as early as possible after the message is added to the trunk. It proved itself many times - it helps uncover bugs early and remind the developers how important documentation is.

The usage of the terms may be up to debate; I've been told that even the legal department wants them (citation needed). But full qqq documentation of the messages is absolutely essential.

elizabeth wrote:

All items with "oversight", "unoversight" have qqq entries, and all qqq entries have been expanded upon to define oversight/unoversight terms

(In reply to comment #5)

All items with "oversight", "unoversight" have qqq entries, and all qqq entries
have been expanded upon to define oversight/unoversight terms

marking fixed

Reopening. There are still messages with useless documentation. For example, the documentation for articlefeedbackv5-mask-text-oversight says "Text to be displayed on the oversighted post mask". The idea is not just to say where does the text appear, but also to explain what "oversighted" means and in particular, how is it different from "hidden". Volunteer translators cannot be expected to know it.

It's OK to create one glossary page and to link to it from all the relevant message documentation strings.

yoni wrote:

This page has a very detailed explanations of all AFTv5 requirements and terminology.

http://www.mediawiki.org/wiki/Article_feedback/Version_5/Feature_Requirements

Should we provide a link to it in the i18n file header?

Yoni, Fabrice and everybody else - thanks a lot for writing this documentation. It makes things clearer.

A link to it should be added to every relevant qqq message. Something similar was done in the FlaggedRevs extension. The following templates were created:

These templates were transcluded in many qqq messages for FlaggedRevs. See FlaggedRevs/frontend/language .

You can create templates like this for ArticleFeedback in translatewiki.net, put a link to this documentation page in them and add them to the qqq messages.

The term "Oversight" should still be replaced with "Delete", because it's clearer even in English.

I agree, we've been slowly getting rid of this awful terminology (ex Oversight extension) and now it slips back in? See also bug 38378.

Fabrice_Florin closed this task as Declined.Nov 26 2014, 6:42 PM

The Article Feedback experiment has now ended and the software has been removed from its pilot sites.

Ahem, we don't close bugs just because some extension is unused (unless the repository is actually emptied I guess)...

SamanthaNguyen reopened this task as Open.Jan 5 2017, 10:03 AM
SamanthaNguyen moved this task from Backlog to i18n on the ArticleFeedbackv5 board.
SamanthaNguyen added subscribers: ashley, SamanthaNguyen.

Reinvestigating per T146253

ashley removed Fabrice_Florin as the assignee of this task.Jan 5 2017, 5:32 PM

Fabrice is probably not going to be working on this.

@SamanthaNguyen, would you like to work on this? I'm not sure if there's a simple way to "fix" this, but I agree with the initial report that the words mentioned here are ugly MW-specific jargon and thus their meaning is unclear to people who aren't familiar with MediaWiki and the whole MW world; therefore this is a rather real usability concern, and in the best case all it takes is changing a few messages. (That being said, coming up with a better, clearer wording for the messages is not the easiest task in the world.)

Jorm added a comment.Jan 5 2017, 6:05 PM

I don't think anyone is going to work on this.

I'm willing to, I'll try to take a deeper look into this issue later today.

This extension is not in active development, and it's unlikely to be used by Wikimedia. But if anybody else wants to fix its bugs and use it on other sites, it's totally welcome.

Development was taken up by Brickimedia developers after T144677 was created and resolved. @ashley is currently the "head" maintainer of it right now, and I try to help out too :)

Jorm removed a subscriber: Jorm.Jan 5 2017, 9:53 PM

Development was taken up by Brickimedia developers after T144677 was created and resolved. @ashley is currently the "head" maintainer of it right now, and I try to help out too :)

Ah, nice, I didn't know. Go for it :)

I guess Wikimedia doesn't care about the terminology here any longer, although I might be wrong. Whatever works for the extension's current users is probably good.